diff --git a/src/backend/utils/adt/formatting.c b/src/backend/utils/adt/formatting.c
index 9dd6d83..d77a8a6 100644
--- a/src/backend/utils/adt/formatting.c
+++ b/src/backend/utils/adt/formatting.c
@@ -1840,6 +1840,11 @@ from_char_parse_int_len(int *dest, char **src, const int len, FormatNode *node)
 	char	   *init = *src;
 	int			used;
 
+	/*
+	 * Bypass any whitespace characters before parsing integers.
+	 */
+	*src += strspace_len(*src);
+
 	Assert(len <= DCH_MAX_ITEM_SIZ);
 	used = (int) strlcpy(copy, *src, len + 1);
 
